package atomic;

import java.util.concurrent.PriorityBlockingQueue;

public class AtomicExample06 {
    public static void main(String[] args) {
        // 无边界队列，可以定义初始容量并不是最大容量
        PriorityBlockingQueue<Integer> queue = new PriorityBlockingQueue<>(2);
        System.out.println(queue);

        // 队列的添加方法都等于offer方法
        queue.offer(1);
        queue.offer(10);
        queue.offer(3);
        System.out.println(queue);
    }
}
